
#include <kore/metainfo.h>
#include "testplugin.h"
#include <iostream.h>
/*
#define TEST_PLUGIN_MAJOR 0
#define TEST_PLUGIN_MINOR 0
#define TEST_PLUGIN_REVISION 1
#define TEST_PLUGIN_VERSION "0.0.1"
#define TEST_PLUGIN_API_MAJOR 0
#define TEST_PLUGIN_API_MINOR 0
#define TEST_PLUGIN_API_REVISION 1
#define TEST_PLUGIN_API_VERSION "0.0.1"
#define TEST_PLUGIN_NAME "Test Plugin"
#define TEST_PLUGIN_TYPE "Plugin"
#define TEST_PLUGIN_DESCRIPTION "Test Plugin"
*/
using namespace test;
/*
void _init(void)
{
    cout << "_init()" << endl;
}
void _fini(void)
{
    cout << "_fini()" << endl;
}
*/

static const char* lib_metainfo[][2]=
{
    { "/kore/library", "~koretest" },
    { "~koretest/name", "koretest" },
    { "~koretest/description", "provides 2 components" },
    { "~koretest/component", "~Test Plugin" },
    { "~Test Plugin/name", "Test Plugin" },
    { "~Test Plugin/type", "Plugin" },
    { "~Test Plugin/class", "TestPlugin" },
    { "~Test Plugin/class/fqn", "test::TestPlugin" },
    { "~Test Plugin/factory", "koretest_factory" },
    { "~Test Plugin/description", "Just a dummy plugin for testing" },
    { "~Test Plugin/version", "0.2.0" },
    { "~Test Plugin/version/major", "0" },
    { "~Test Plugin/version/minor", "2" },
    { "~Test Plugin/version/release", "0" },
    { "~Test Plugin/api/version", "0.2.0" },
    { "~Test Plugin/api/version/major", "0" },
    { "~Test Plugin/api/version/minor", "2" },
    { "~Test Plugin/api/version/release", "0" },
    { "~Test Plugin/service", "/kore/service/null" },
    { "~Test Plugin/service", "/kore/service/none" },
    { "~Test Plugin/service", "/kore/service/empty" },
    { "~Test Plugin/service", "/test/service/test" },
    { "~Test Plugin/service", "/kore/service/interface" },
    { 0, 0 }
};

kore::MetaInfo* koretest_metainfo()
{
    static kore::MetaInfo* info = 0;
    if( !info )
        info = new kore::MetaInfo(lib_metainfo);
    return info;
}

kore::Interface* koretest_factory()
{
    return new TestPlugin();
}

TestPlugin::TestPlugin()
{
    cout << "TestPlugin constructor\n";
}
TestPlugin::~TestPlugin()
{
    cout << "TestPlugin destructor\n";
}

