
#ifndef TESTPLUGIN_H
#define TESTPLUGIN_H

#ifdef WIN32
#include <windows.h>
#ifdef KORETEST_EXPORTS
#define KORETEST_API __declspec(dllexport)
#else
#define KORETEST_API __declspec(dllimport)
#endif
#else
#define KORETEST_API
#endif

#include <kore/kore.h>
#include <kore/interface.h>

//using namespace kore;

class kore::MetaInfo;

extern "C"
{
    kore::Interface* koretest_factory();
    kore::MetaInfo* koretest_metainfo();
//    void _init(void);
//    void _fini(void);

};

namespace test
{

class KORETEST_API TestPlugin: public kore::Interface
{
public:
    TestPlugin();
    virtual ~TestPlugin();
};

};

#endif

