#ifndef PLUGININFOBACKEND_H
#define PLUGININFOBACKEND_H

#include <kore/kore.h>
#include <kore/robackend.h>

namespace kore
{

class PluginInfo;

class KORE_API PluginInfoBackend : virtual public ReadOnlyBackend
{
public:
    virtual ~PluginInfoBackend();

    virtual PluginInfo* readPluginInfo(const char* fileName, bool appendEntension = true) = 0;
};

};

#endif
