#ifndef PLUGININFOBACKEND_DLL_H
#define PLUGININFOBACKEND_DLL_H

#include <kore/kore.h>
#include <kore/plugininfobackend.h>

namespace kore
{

class PluginInfo;

class KORE_API PluginInfoBackend_dll : virtual public PluginInfoBackend
{
public:
    PluginInfoBackend_dll();
    virtual ~PluginInfoBackend_dll();

    virtual void* read(const char* fileName, bool appendEntension = true) = 0;
    virtual PluginInfo* readPluginInfo(const char* fileName, bool appendEntension = true) = 0;
};

};

#endif
