#ifndef PLUGININFOBACKEND_XML_H
#define PLUGININFOBACKEND_XML_H

#include <kore/kore.h>
#include <kore/plugininfobackend.h>

namespace kore
{

class PluginInfo;

class KORE_API PluginInfoBackend_xml : virtual public PluginInfoBackend
{
public:
    PluginInfoBackend_xml();
    virtual ~PluginInfoBackend_xml();

    virtual void* read(const char* fileName, bool appendEntension = true) = 0;
    virtual PluginInfo* readPluginInfo(const char* fileName, bool appendEntension = true) = 0;
};

};

#endif
