%define name korelib
%define version 0.0.1
%define release 1_tkc
%define prefix /usr/local

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Korelib - C++ framework for developing plugin-based applications.
Prefix: %{prefix}
Group: Development/Libraries
Copyright: GPL
Vendor: theKompany.com
Packager: Catalin Climov <xxl@thekompany.com>
#Distribution: theKompany.com
Source: %{name}-%{version}.tar.gz
URL: http://www.thekompany.com/projects/korelib/
Buildroot: /var/tmp/%{name}-%{version}-buildroot

%description
 Korelib is a extensible C++ framework for developing plugin-based applications.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

%build
#make -f Makefile.cvs
./configure --with-install-root=$RPM_BUILD_ROOT
make

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ../file.list.%{name}
