%define name korelib
%define version 1.0
%define release 2_tkc_mdk82
%define prefix /usr

Name: %{name}
Version: %{version}
Release: %{release}
Summary: An x-platform C++ library for developing plugin-based applications.
Prefix: %{prefix}
Group: Development/Libraries
Copyright: GPL
Vendor: theKompany.com
Packager: Catalin Climov <xxl@thekompany.com>
#Distribution: theKompany.com
Source: %{name}-%{version}.tar.gz
URL: http://www.thekompany.com/projects/korelib/
Buildroot: /var/tmp/%{name}-%{version}-buildroot

%description
Korelib is a cross-platform C++ library for developing plugin-based 
applications. It provides a uniform and consistent cross-platform 
API for developing modular applications.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

%build
#make -f Makefile.cvs
aclocal && autoconf && automake
./configure --prefix=%{prefix} --with-install-root=$RPM_BUILD_ROOT 
make

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ../file.list.%{name}

